# An on-call group

GET /api/agent/oncall/{groupId}. Required scopes: oncall:read.

HTML: https://notify.belweave.ai/docs/api/getOncallGroupId

Required scopes: `oncall:read`

```http
GET /api/agent/oncall/{groupId}
Authorization: Bearer ntf_your_token
```

## Operation schema

```json
{
  "summary": "An on-call group",
  "operationId": "getOncallGroupId",
  "security": [
    {
      "bearer": [
        "oncall:read"
      ]
    }
  ],
  "x-notify-scopes": [
    "oncall:read"
  ],
  "parameters": [
    {
      "name": "groupId",
      "in": "path",
      "schema": {
        "type": "string"
      },
      "required": true
    }
  ],
  "responses": {
    "200": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "group": {
                "$ref": "#/components/schemas/OncallGroup"
              }
            },
            "required": [
              "group"
            ]
          }
        }
      }
    },
    "400": {
      "description": "Invalid request",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "401": {
      "description": "Missing, unknown, revoked, or expired token",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "403": {
      "description": "The token lacks a required scope or the account lacks permission",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "404": {
      "description": "Not found for this account",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}
```

Resolve schema references against [OpenAPI](https://notify.belweave.ai/openapi.json).
